# MD038 - No Space in Code Spans

## Description

Spaces inside code span elements are not allowed. Code spans are defined using backticks. This rule ensures that there are no spaces immediately inside the opening or closing backticks.

## Configuration

This rule has no configuration options.

## Examples

### Valid

```markdown
This is a `code span` example.
This is a `function example()` with internal spaces.
This is `code` with no spaces around it.
```

### Invalid

```markdown
This is a ` code span` with a space at the start.
This is a `code span ` with a space at the end.
This is a ` code span ` with spaces at both ends.
```

### Fixed

```markdown
This is a `code span` with a space at the start (fixed).
This is a `code span` with a space at the end (fixed).
This is a `code span` with spaces at both ends (fixed).
```

## Special Cases

- Code spans within code blocks are not checked
- Multiple code spans in a single line are each checked individually
- Internal spaces within code spans are allowed and preserved
- Punctuation adjacent to code spans is preserved during fixes

## Related Rules

- MD037 - Spaces inside emphasis markers
